import React from 'react';
import ReactDOM from 'react-dom';

import { Provider } from 'react-redux'
import { createStore, applyMiddleware } from "redux";
import rootReducer from "../../redux/advanced/reducers";
import thunk from 'redux-thunk';

import AdvancedBookingWindow from './AdvancedBookingWindow';

class AdvancedBookingWindowWrapper extends React.Component {
  constructor(props) {
    super(props);
    this.store = createStore(rootReducer, applyMiddleware(thunk));
  }

  render() {
    return (
      <Provider store={this.store}>
        <AdvancedBookingWindow
          dataUnitId={this.props.dataUnitId}
          dataEventType={this.props.dataEventType}
          dataStates={this.props.dataStates}
          dataLanguage={this.props.dataLanguage}
          dataStartTime={this.props.dataStartTime}
          dataEndTime={this.props.dataEndTime}
          dataRefreshInterval={this.props.dataRefreshInterval}
          calendarDefaultView={this.props.calendarDefaultView}
        />
      </Provider>
    );
  }
}

export default AdvancedBookingWindowWrapper;
