import React from 'react';
import ReactDOM from 'react-dom';

import { connect } from "react-redux";
import { closeModal } from "../../redux/advanced/actions";

import Modal from 'react-modal';
const modalStyles = {
  content: {
    top: '50%',
    left: '50%',
    right: 'auto',
    bottom: 'auto',
    marginRight: '-50%',
    transform: 'translate(-50%, -50%)',
    zIndex: '10',
  },
};
Modal.setAppElement(document.getElementsByClassName('nextpath_advanced_booking_form')[0]);

import AdvancedBookingForm from './AdvancedBookingForm';

class BookingModal extends React.Component {
  render() {
    return (
      <div>
        <Modal
          isOpen={this.props.modalIsOpen}
          onRequestClose={this.props.closeModal}
          contentLabel={this.props.modalTitle}
          style={modalStyles}>
          <h2 className="advanced-booking-form-title">{this.props.modalTitle}</h2>
          <AdvancedBookingForm />
        </Modal>
      </div>
    );
  }
}

const mapStateToProps = state => {
  const modalIsOpen = state.modal.modalIsOpen;
  const modalTitle = state.modal.modalTitle;
  return { modalIsOpen, modalTitle };
};

export default connect(
  mapStateToProps,
  { closeModal }
)(BookingModal);
