import React from 'react';
import ReactDOM from 'react-dom';
import { connect } from "react-redux";
import cx from "classnames";

import BookingFormButton from './BookingFormButton';
import BookingFormDatePicker from './BookingFormDatePicker';

class BookingForm extends React.Component {
  render() {
    return (
      <form className="booking-form">
        <BookingFormDatePicker />
        <div className={cx(this.props.statusClass)}>
          {this.props.statusMessage}
        </div>
        <BookingFormButton />
      </form>
    );
  }
}

const mapStateToProps = state => {
  const statusClass = state.bookingform.statusClass;
  const statusMessage = state.bookingform.statusMessage;
  return { statusClass, statusMessage };
};

export default connect(
  mapStateToProps,
)(BookingForm);
