import React from 'react';
import ReactDOM from 'react-dom';
import { connect } from "react-redux";
import { createBooking } from "../../redux/simple/actions";

class BookingFormButton extends React.Component {
  handleClick = () => {
    this.props.createBooking(this.props.dataUnitId, this.props.dataEventType, this.props.dataEventState, this.props.startDate, this.props.endDate);
  };

  render() {
    return (
      <div className='booking-button form-group'>
        <button
          type="button"
          className="btn btn-primary"
          onClick={this.handleClick}
          disabled={this.props.buttonDisabled}
        >
         {Drupal.t('Book')}
        </button>
      </div>
    );
  }
}

const mapStateToProps = state => {
  const buttonDisabled = state.bookingform.buttonDisabled;
  const startDate = state.bookingform.startDate;
  const endDate = state.bookingform.endDate;
  const dataUnitId = state.settings.dataUnitId;
  const dataEventType = state.settings.dataEventType;
  const dataEventState = state.settings.dataEventState;
  return { buttonDisabled, startDate, endDate, dataUnitId, dataEventType, dataEventState};
};

export default connect(
  mapStateToProps,
  { createBooking }
)(BookingFormButton);
