import React from 'react';
import ReactDOM from 'react-dom';
import { connect } from "react-redux";

import Booking from './Booking';

class BookingHistory extends React.Component {
  render() {
    const bookings = this.props.bookingHostory.map((booking) => (
      <Booking
        key={booking.id}
        id={booking.id}
        startDate={booking.attributes.event_dates.value}
        endDate={booking.attributes.event_dates.end_value}
        created={booking.attributes.created}
      />
    ));
    if (bookings.length > 0) {
      return (
        <div className="booking-history-container">
          <a data-toggle="collapse" href={'#booking_history_' + this.props.dataUnitId} role="button" aria-expanded="false" aria-controls={'#booking_history_' + this.props.dataUnitId}>{Drupal.t('Show booking history')}</a>
          <div className="collapse" id={'booking_history_' + this.props.dataUnitId}>
            {bookings}
          </div>
        </div>
      );
    }
    else {
      return (
        <div className="booking-history-container">
        </div>
      );
    }
  }
}

const mapStateToProps = state => {
  const bookingHostory = state.bookinghistory;
  const dataUnitId = state.settings.dataUnitId;
  return { bookingHostory, dataUnitId };
};

export default connect(
  mapStateToProps,
)(BookingHistory);
