import React from 'react';
import ReactDOM from 'react-dom';
import { connect } from "react-redux";
import { saveSettings, getBookingHistory } from "../../redux/simple/actions";

import BookingForm from './BookingForm';
import BookingHistory from './BookingHistory';


class BookingWindow extends React.Component {
  constructor(props) {
    super(props);
    this.props.saveSettings(this.props.dataUnitId, this.props.dataEventType, this.props.dataEventState);
  }

  componentDidMount() {
    this.props.getBookingHistory(this.props.dataUnitId, this.props.dataEventType);
  }

  render() {
    return (
      <div className="booking-window row">
        <div className="col-sm-8">
          <BookingForm />
        </div>
        <div className="col-sm-4">
          <BookingHistory />
        </div>
      </div>
    );
  }
}

export default connect(
  null,
  { saveSettings, getBookingHistory }
)(BookingWindow);
