import React from 'react';
import ReactDOM from 'react-dom';

import { Provider } from 'react-redux'
import { createStore, applyMiddleware } from "redux";
import rootReducer from "../../redux/simple/reducers";
import thunk from 'redux-thunk';

import BookingWindow from './BookingWindow';

class BookingWindowWrapper extends React.Component {
  constructor(props) {
    super(props);
    this.store = createStore(rootReducer, applyMiddleware(thunk));
  }

  render() {
    return (
      <Provider store={this.store}>
        <BookingWindow
          dataUnitId={this.props.dataUnitId}
          dataEventType={this.props.dataEventType}
          dataEventState={this.props.dataEventState}
        />
      </Provider>
    );
  }
}

export default BookingWindowWrapper;
