import {
  MERGE_BOOKINGS, UPDATE_BOOKING, DELETE_BOOKING,
} from "../actionTypes";

const initialState = {
  bookings: [],
  oldestBooking: null,
};

export default function(state = initialState, action) {
  switch (action.type) {
    case MERGE_BOOKINGS: {
      return {
        ...state,
        bookings: nextpath_helpers.removeDuplicateBookings(action.payload.bookings.concat(state.bookings)),
        oldestBooking: Math.round(new Date(action.payload.bookings[action.payload.bookings.length - 1].changed).getTime() / 1000),
      };
    }
    case UPDATE_BOOKING: {
      // Find the index of the booking we need to update in the state.
      var index = state.bookings.findIndex(element => element.id === action.payload.booking.data.id)
      // Get the states related to the booking updated.
      var states = nextpath_helpers.getStatesFromRelation(action.payload.reply);
      // Update the state.
      return {
        ...state,
        bookings: [
          // Keep everthing before our element, untouched.
          ...state.bookings.slice(0,index),
          // Update the element.
          {
            ...state.bookings[index],
            start: new Date(nextpath_helpers.removeTimezone(action.payload.reply.data.attributes.event_dates.value)),
            end: new Date(nextpath_helpers.removeTimezone(action.payload.reply.data.attributes.event_dates.end_value)),
            stateId: action.payload.reply.data.relationships.event_state_reference.data.id,
            title: states[action.payload.reply.data.relationships.event_state_reference.data.id].name,
            color: states[action.payload.reply.data.relationships.event_state_reference.data.id].color,
          },
          // Keep everthing after our element, untouched.
          ...state.bookings.slice(index+1),
        ]
      };
    }
    case DELETE_BOOKING: {
      // Find the index of the booking we need to delete from the state.
      var index = state.bookings.findIndex(element => element.id ===  action.payload.id)
      // Update the state.
      return {
        ...state,
        bookings: [
          // Keep everthing before our element, untouched.
          ...state.bookings.slice(0,index),
          // Keep everthing after our element, untouched.
          ...state.bookings.slice(index+1),
        ]
      };
    }
    default:
      return state;
  }
}
