import {
  TOGGLE_MODAL, AUTOCOMPLETE_MODAL, MODAL_STATE_SELECT,
  MODAL_START_DATE_SELECT, MODAL_START_TIME_SELECT,
  MODAL_END_DATE_SELECT, MODAL_END_TIME_SELECT,
  MODAL_STATUS,
} from "../actionTypes";

const initialState = {
  modalIsOpen: false,
  modalBookingId: null,
  modalTitle: '',
  modalStateSelect: '',
  modalStartDate: '',
  modalStartTime: '',
  modalEndDate: '',
  modalEndTime: '',
  statusMessage: '',
  statusClass: ['alert'],
};

export default function(state = initialState, action) {
  switch (action.type) {
    case TOGGLE_MODAL: {
      return {
        ...state,
        modalIsOpen: action.payload.modalIsOpen,
      };
    }
    case AUTOCOMPLETE_MODAL: {
      return {
        ...state,
        modalBookingId: action.payload.modalBookingId,
        modalTitle: action.payload.modalTitle,
        modalStateSelect: action.payload.modalStateSelect,
        modalStartDate: action.payload.modalStartDate,
        modalStartTime: action.payload.modalStartTime,
        modalEndDate: action.payload.modalEndDate,
        modalEndTime: action.payload.modalEndTime,
      };
    }
    case MODAL_STATE_SELECT: {
      return {
        ...state,
        modalStateSelect: action.payload.modalStateSelect,
      };
    }
    case MODAL_START_DATE_SELECT: {
      return {
        ...state,
        modalStartDate: action.payload.modalStartDate,
      };
    }
    case MODAL_START_TIME_SELECT: {
      return {
        ...state,
        modalStartTime: action.payload.modalStartTime,
      };
    }
    case MODAL_END_DATE_SELECT: {
      return {
        ...state,
        modalEndDate: action.payload.modalEndDate,
      };
    }
    case MODAL_END_TIME_SELECT: {
      return {
        ...state,
        modalEndTime: action.payload.modalEndTime,
      };
    }
    case MODAL_STATUS: {
      return {
        ...state,
        statusMessage: action.payload.statusMessage,
        statusClass: action.payload.statusClass,
      };
    }
    default:
      return state;
  }
}
