import {
  SAVE_SETTINGS, UPDATE_DATE_RANGE
} from "../actionTypes";

const initialState = {
  dataUnitId: '',
  dataEventType: '',
  dataStates: [],
  dataLanguage: 'en',
  dataStartTime: '',
  dataEndTime: '',
  dataRefreshInterval: -1,
  calendarDefaultView: 'week',
};

export default function(state = initialState, action) {
  switch (action.type) {
    case SAVE_SETTINGS: {
      return {
        ...state,
        dataUnitId: action.payload.dataUnitId,
        dataEventType: action.payload.dataEventType,
        dataStates: action.payload.dataStates,
        dataLanguage: action.payload.dataLanguage,
        dataStartTime: action.payload.dataStartTime,
        dataEndTime: action.payload.dataEndTime,
        dataRefreshInterval: action.payload.dataRefreshInterval,
        calendarDefaultView: action.payload.calendarDefaultView,
      };
    }
    case UPDATE_DATE_RANGE: {
      return {
        ...state,
        dataStartTime: action.payload.dataStartTime,
        dataEndTime: action.payload.dataEndTime,
      };
    }
    default:
      return state;
  }
}
