import {
  SET_START_DATE, SET_END_DATE,
  CHECK_AVAILABILITY_STARTED, CHECK_AVAILABILITY_SUCCESS,
  CREATE_BOOKING_OUTPUT_RESULT,
} from "../actionTypes";

// Set initial start date (tomorrow).
var startDate = new Date();
startDate.setDate(startDate.getDate() + 1);
// Set initial end date (tomorrow + 1h).
var endDate = new Date();
endDate.setDate(endDate.getDate() + 1);
endDate.setHours(endDate.getHours() + 1);
const initialState = {
  startDate: startDate,
  endDate: endDate,
  buttonDisabled: true,
  statusMessage: Drupal.t('Select the period to check the availability'),
  statusClass: ['alert', 'alert-secondary'],
};

export default function(state = initialState, action) {
  switch (action.type) {
    case CHECK_AVAILABILITY_STARTED: {
      return {
        ...state,
        statusMessage: action.payload.statusMessage,
      };
    }
    case CHECK_AVAILABILITY_SUCCESS: {
      return {
        ...state,
        buttonDisabled: action.payload.data.length > 0 ? true : false,
        statusMessage: action.payload.data.length > 0 ? Drupal.t('Unit already booked in the selected period') : Drupal.t('Unit available for booking'),
        statusClass: action.payload.data.length > 0 ? 'alert alert-warning' : 'alert alert-primary',
      };
    }
    case SET_START_DATE: {
      return {
        ...state,
        startDate: action.payload.date,
      };
    }
    case SET_END_DATE: {
      return {
        ...state,
        endDate: action.payload.date,
      };
    }
    case CREATE_BOOKING_OUTPUT_RESULT: {
      return {
        ...state,
        buttonDisabled: action.payload.buttonDisabled,
        statusMessage: action.payload.statusMessage,
        statusClass: action.payload.statusClass,
      };
    }
    default:
      return state;
  }
}
